<?php

    lt_include( PLOG_CLASS_PATH."class/action/blogaction.class.php" );
    lt_include( PLOG_CLASS_PATH."class/view/plugintemplatedview.class.php" );
	lt_include( PLOG_CLASS_PATH."class/data/validator/integervalidator.class.php" );
    
    /**
     * shows the form that will be used to submit an article to the blog, 
     * in case this plugin is enabled
     */
    class ShowSubmissionFormAction extends BlogAction
    {
        var $_categoryId;
        
        function ShowSubmissionFormAction( $actionInfo, $request )
        {
            $this->BlogAction( $actionInfo, $request );
        }

        function validate(){
            $this->_categoryId = $this->_request->getValue( "categoryId" );
            if($this->_categoryId){
                $intv = new IntegerValidator();
                if(!$intv->validate($this->_categoryId)){
                    $this->_categoryId = "";
                }
            }
            return true;
        }
        
        function perform()
        {
            $this->_view = new PluginTemplatedView($this->_blogInfo, "submissions", "submitform",
                                                   SMARTY_VIEW_CACHE_CHECK, array("categoryId" => $this->_categoryId));
            $this->_view->setValue("categoryId", $this->_categoryId);
            $blogSettings = $this->_blogInfo->getSettings();
            $this->_view->setValue( "nameRequired",
                                    $blogSettings->getValue( "plugin_submissions_name_required", false ));
            $this->setCommonData();
            
            return true;
        }
    }
?>